{ pkgs, ... }:
{
  environment.hakurei = rec {
    enable = true;
    stateDir = "/var/lib/hakurei";
    sharefs.source = "${stateDir}/sdcard";
    users.alice = 0;
    apps = {
      "cat.gensokyo.extern.foot.noEnablements" = {
        name = "ne-foot";
        identity = 1;
        shareUid = true;
        verbose = true;
        share = pkgs.foot;
        packages = [ pkgs.foot ];
        command = "foot";
        enablements = {
          dbus = false;
          pipewire = false;
        };
      };

      "cat.gensokyo.extern.foot.badDaemon" = {
        name = "bd-foot";
        identity = 1;
        shareUid = true;
        verbose = true;
        share = pkgs.foot;
        packages = [ pkgs.foot ];
        command = "foot";
        enablements = {
          dbus = false;
        };
        extraPaths = [
          {
            type = "daemon";
            dst = "/proc/nonexistent";
            path = "/usr/bin/env";
            args = [ "false" ];
          }
        ];
      };
    };

    extraHomeConfig.home.stateVersion = "23.05";
  };
}
